Subject: Bug#587: [X2Go-Dev] Bug#587: x2goclient is missing VcXsrv/zlib1.dll

From: Stefan Baur <[email-masked]>
Date: Fri, 29 Aug 2014 11:20:49 +0200

Am 29.08.2014 um 09:08 schrieb Ivan Kozik:
> Package: x2goclient
> Severity: critical
> Version: 4.0.2.1
> 
> x2goclient-4.0.2.1+hotfix1+build3-setup.exe does not install
> VcXsrv/zlib1.dll, which leads X2Go Client to fail to connect with
> "Can't start X Server / Please check your installation".  You can also
> check by running vcxsrv.exe and seeing the missing-DLL dialog.
> 
> This worked fine with x2goclient-4.0.2.0-setup.exe

Unable to confirm (Windows 7 x86).
Fresh install of x2goclient-4.0.2.1+hotfix1+build3-setup.exe, running
the actual setup.

zlib1.dll *is* there, it's in the x2goclient main directory, though.
Not in the VcXsrv subdirectory.
x2goclient connects just fine and starts VcXsrv.

If you're missing the zlib1.dll, check that you don't have an
overzealous virus scanner that might have quarantined it by accident.

-Stefan